Page MenuHomePhabricator

Write adapter controller logic to process front-end payments
Closed, ResolvedPublic4 Story Points

Description

Full requirements for the integration are listed in T77907

To process a payment, make a NewInvoice API call, then add the message to the limbo queue and redirect the donor to the Thank You page.

Related Objects

Event Timeline

awight created this task.Feb 23 2015, 10:59 PM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Ppena, atgo, Aklapper, awight.
awight updated the task description. (Show Details)Feb 23 2015, 11:05 PM
awight removed a project: Epic.
awight set Security to None.
atgo updated the task description. (Show Details)Feb 25 2015, 11:30 PM
atgo updated the task description. (Show Details)Mar 26 2015, 8:41 PM
atgo edited a custom field.
atgo added a subscriber: Ejegg.
atgo updated the task description. (Show Details)Mar 26 2015, 9:59 PM
atgo edited a custom field.
atgo removed a subscriber: Ejegg.
awight edited a custom field.Mar 26 2015, 10:03 PM
awight added a subscriber: Ejegg.

Change 205646 had a related patch set uploaded (by Ejegg):
WIP Astropay resultswitcher

https://gerrit.wikimedia.org/r/205646

Ejegg claimed this task.Apr 21 2015, 8:33 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Indigo Girls board.

Change 205784 had a related patch set uploaded (by Ejegg):
Deal with duplicate order id in Astropay

https://gerrit.wikimedia.org/r/205784

Change 205785 had a related patch set uploaded (by Ejegg):
Determine per adapter whether we need to pop out of iframes

https://gerrit.wikimedia.org/r/205785

Change 205784 merged by jenkins-bot:
Deal with duplicate order id in Astropay

https://gerrit.wikimedia.org/r/205784

Change 205785 merged by jenkins-bot:
Determine per adapter whether we need to pop out of iframes

https://gerrit.wikimedia.org/r/205785

Change 205646 merged by jenkins-bot:
Astropay result switcher

https://gerrit.wikimedia.org/r/205646

Change 206307 had a related patch set uploaded (by Ejegg):
Make resultswitcher processing slightly less funky

https://gerrit.wikimedia.org/r/206307

Change 206327 had a related patch set uploaded (by Ejegg):
Fix comm status and error checking for PaymentStatus

https://gerrit.wikimedia.org/r/206327

Change 207843 had a related patch set uploaded (by Ejegg):
Add limbo queue message before redirect

https://gerrit.wikimedia.org/r/207843

Change 206307 merged by jenkins-bot:
Make resultswitcher processing slightly less funky

https://gerrit.wikimedia.org/r/206307

Change 206327 merged by jenkins-bot:
Fix comm status and error checking for PaymentStatus

https://gerrit.wikimedia.org/r/206327

Change 207843 merged by jenkins-bot:
Add limbo queue message before redirect

https://gerrit.wikimedia.org/r/207843

Change 210769 had a related patch set uploaded (by Ejegg):
Do queue stuff in Astropay ResultSwitcher

https://gerrit.wikimedia.org/r/210769

Change 210769 merged by jenkins-bot:
Do queue stuff in Astropay ResultSwitcher

https://gerrit.wikimedia.org/r/210769

atgo added a comment.Jun 3 2015, 10:35 AM

@Ejegg is this done? Can we move to done/close?

Ejegg closed this task as Resolved.Jun 3 2015, 4:37 PM
Ejegg moved this task from Pending Deployment to Done on the Fundraising Sprint Kraftwerk board.
Ejegg moved this task from Backlog to Done on the Fundraising Sprint Lou Reed board.
atgo removed a subscriber: atgo.Mar 30 2016, 10:13 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM